| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Functions
OgreAny.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreException.h"`
`#include <typeinfo>`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Any
| Variant type that can hold Any other type. More...
class | Ogre::AnyNumeric
| Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . More...

## Namespaces
| Ogre

## Functions
template<typename ValueType >
ValueType | Ogre::any_cast (const Any &operand)
template<typename ValueType >
ValueType * | Ogre::any_cast (Any *operand)
template<typename ValueType >
const ValueType * | Ogre::any_cast (const Any *operand)